using SteamWare;
using System;

namespace GMW
{
  public partial class AnagKit : UserPage
  {
    protected void Page_Load(object sender, EventArgs e)
    {
      mod_anagKit.eh_ucev += Mod_anagKit_eh_ucev;
    }

    private void Mod_anagKit_eh_ucev(object sender, EventArgs e)
    {
      // se trovo evento select/reset mostro/nascondo dettagli...
      ucEvent evento = (ucEvent)e;
      switch (evento.tipoEvento)
      {
        case ucEvType.Delete:
          break;
        case ucEvType.Edit:
          break;
        case ucEvType.New:
          break;
        case ucEvType.Reset:
          divDetail.Visible = false;
          break;
        case ucEvType.ReqUpdateParent:
          break;
        case ucEvType.Selected:
          mod_part2kit.CodKIT = mod_anagKit.CodKITSel;
          divDetail.Visible = true;
          break;
        default:
          break;
      }
    }
  }
}